Library
List immutable source versions
Requires current full-content Library document authority; Drive sources additionally recheck provider ownership. Source reads use immutable version and content hashes. Returns up to fifty source versions with their latest text projection state; identity fields follow each version content directive. Cursor is encrypted and bound to current authority.
GET
/
admin
/
workspace-library
/
documents
/
{document}
/
versions
List immutable source versions
curl --request GET \
--url https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"contract_version": "<string>",
"id": "<string>",
"document_id": "<string>",
"version_number": 123,
"source_type": "<string>",
"detected_mime_type": "<string>",
"file_extension": "<string>",
"size_bytes": 123,
"source_sha256": "<string>",
"original_label": "<string>",
"source_label": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"supersedes_version_id": "<string>",
"verification_status": "<string>",
"committed_at": "2023-11-07T05:31:56Z",
"is_current": true,
"content_directive": "<string>",
"text_projection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"failure_code": "<string>"
}
}
],
"next_cursor": "<string>"
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Document.
Query Parameters
Cursor.
Maximum string length:
4096⌘I
List immutable source versions
curl --request GET \
--url https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/workspace-library/documents/{document}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"contract_version": "<string>",
"id": "<string>",
"document_id": "<string>",
"version_number": 123,
"source_type": "<string>",
"detected_mime_type": "<string>",
"file_extension": "<string>",
"size_bytes": 123,
"source_sha256": "<string>",
"original_label": "<string>",
"source_label": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"supersedes_version_id": "<string>",
"verification_status": "<string>",
"committed_at": "2023-11-07T05:31:56Z",
"is_current": true,
"content_directive": "<string>",
"text_projection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"failure_code": "<string>"
}
}
],
"next_cursor": "<string>"
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}